#!/bin/bash
# Program:      PasswordSynchronizer4.sh
# Description:  Demo program for Password Synchronizer pattern (CSP pp. 840ff, Example 13-4ff)
# Author:       Ray Lai
# Updated:      Nov 9, 2005
# 
echo "Core Security Patterns Sample Codes (p. 840ff, Example 13-4) - Password Synchronizer pattern"
echo 
echo "... Please ensure your JAVA_HOME is set, and you use Java 2 SDK 1.5.0_04 or above"
echo 
#
# Step 5: run listener 3 
#
java -cp ../dist/CSP_Samples.jar:../lib/PwdSync_Lib.jar com.csp.provisioning.PasswordSyncListener prod_application3 PWDSYNC_PROVIDER_OK_LIST
